# Wrap Order

<EndpointPage
  breadcrumbs={[
    { label: "Trading", href: "/trading/trading" },
    { label: "Orders", href: "/trading/rest-api/orders" },
    { label: "Wrap Order" },
  ]}
  title="Wrap Order"
  method="POST"
  url="https://api.gemini.com/v1/wrap/{symbol}"
  description="Place a wrap or unwrap order for a supported symbol."
  example={{
    request: {
      method: "POST",
      url: "https://api.gemini.com/v1/wrap/GUSDUSD",
      headers: [
        { name: "X-GEMINI-APIKEY", value: "<string>" },
        { name: "X-GEMINI-PAYLOAD", value: "<string>" },
        { name: "X-GEMINI-SIGNATURE", value: "<string>" },
      ],
      body: {
        request: "/v1/wrap/GUSDUSD",
        nonce: "<nonce>",
        amount: "1",
        side: "buy",
        client_order_id: "4ac6f45f-baf1-40f8-83c5-001e3ea73c7f",
      },
    },
  }}
  sections={[
    {
      heading: "Roles",
      children: (
        <>
          <p style={{ margin: "0 0 2px" }}>The API key you use to access this endpoint must have the Trader role assigned. See <a href="https://docs.gemini.com/roles#roles" style={{ color: "inherit", textDecorationLine: "underline" }}>Roles</a> for more information.</p>
          <p style={{ margin: 0 }}>The OAuth scope must have <InlineBadge>orders:create</InlineBadge> assigned to access this endpoint. See <a href="/authentication/oauth#oauth-scopes" style={{ color: "inherit", textDecorationLine: "underline" }}>OAuth Scopes</a> for more information.</p>
        </>
      ),
    },
    {
      heading: "Headers",
      children: <SpecHeaders operationId="wrapOrder" />,
    },
    {
      heading: "Request Body",
      children: <SpecParams operationId="wrapOrder" />,
    },
    {
      heading: "Responses",
      children: <SpecResponses operationId="wrapOrder" />,
    },
  ]}
/>

<PageNavigation
  prev={{ label: "Get Notional Trading Volume", href: "/trading/rest-api/orders/get-notional-trading-volume" }}
  next={{ label: "Heartbeat", href: "/trading/rest-api/orders/heartbeat" }}
/>
